summaryrefslogtreecommitdiff
path: root/turbo_hipster/task_plugins
diff options
context:
space:
mode:
authorJoshua Hesketh <josh@nitrotech.org>2014-10-14 15:42:50 +1100
committerJoshua Hesketh <josh@nitrotech.org>2014-10-14 15:42:50 +1100
commit8c350abad89ed517b6a872f428433582b3571166 (patch)
tree93d22c7dfa13408ddd34ffbe4fb2fb50e3813e91 /turbo_hipster/task_plugins
parent0d2c8b839a47b4e61f4c86271f2ec055cbee3708 (diff)
downloadturbo-hipster-8c350abad89ed517b6a872f428433582b3571166.tar.gz
Fix missing havana branch
Use the havana-eol tag. Ditto grizzly. Change-Id: I744a36f0b5cd52b04eaeb983bd47606dbb5cafe8
Diffstat (limited to 'turbo_hipster/task_plugins')
-rwxr-xr-xturbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh19
1 files changed, 13 insertions, 6 deletions
diff --git a/turbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh b/turbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh
index ab2f298..2d8fce8 100755
--- a/turbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh
+++ b/turbo_hipster/task_plugins/real_db_upgrade/nova_mysql_migrations.sh
@@ -137,10 +137,11 @@ stable_release_db_sync() {
if [ $version -le "133" ]
then
echo "Database is from Folsom! Upgrade via Grizzly"
- git branch -D stable/grizzly || true
+ git branch -D eol/grizzly || true
git remote update
- git checkout -b stable/grizzly
- git reset --hard remotes/origin/stable/grizzly
+ git checkout -b eol/grizzly
+ # Use tag
+ git reset --hard grizzly-eol
pip_requires
db_sync "grizzly" $1 $2 $3 $4 $5 $6
fi
@@ -151,10 +152,11 @@ stable_release_db_sync() {
if [ $version -le "161" ]
then
echo "Database is from Grizzly! Upgrade via Havana"
- git branch -D stable/havana || true
+ git branch -D eol/havana || true
git remote update
- git checkout -b stable/havana
- git reset --hard remotes/origin/stable/havana
+ git checkout -b eol/havana
+ # Use tag
+ git reset --hard havana-eol
pip_requires
db_sync "havana" $1 $2 $3 $4 $5 $6
fi
@@ -172,6 +174,11 @@ stable_release_db_sync() {
pip_requires
db_sync "icehouse" $1 $2 $3 $4 $5 $6
fi
+
+ # TODO(jhesketh): Add in Juno here once released
+
+ # TODO(jhesketh): Make this more DRY and/or automatically match migration
+ # numbers to releases.
}
echo "Test running on "`hostname`" as "`whoami`" ("`echo ~`", $HOME)"